summaryrefslogtreecommitdiffstats
path: root/reporting/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'reporting/run_test.sh')
-rwxr-xr-xreporting/run_test.sh45
1 files changed, 2 insertions, 43 deletions
diff --git a/reporting/run_test.sh b/reporting/run_test.sh
index 8c674ce..b83b550 100755
--- a/reporting/run_test.sh
+++ b/reporting/run_test.sh
@@ -1,44 +1,3 @@
#!/bin/bash
-set -o errexit
-set -o pipefail
-
-
-# Get script directory
-SCRIPTDIR=`dirname $0`
-
-# Creating virtual environment
-if [ ! -z $VIRTUAL_ENV ]; then
- venv=$VIRTUAL_ENV
-else
- venv=$SCRIPTDIR/.venv
- virtualenv $venv
-fi
-
-source $venv/bin/activate
-
-export CONFIG_REPORTING_YAML=$SCRIPTDIR/reporting.yaml
-
-# ***************
-# Run unit tests
-# ***************
-echo "Running unit tests..."
-
-# install python packages
-easy_install -U setuptools
-easy_install -U pip
-pip install -r $SCRIPTDIR/docker/requirements.pip
-pip install -e $SCRIPTDIR
-
-python $SCRIPTDIR/setup.py develop
-
-# unit tests
-# TODO: remove cover-erase
-# To be deleted when all functest packages will be listed
-nosetests --with-xunit \
- --cover-package=$SCRIPTDIR/utils \
- --with-coverage \
- --cover-xml \
- $SCRIPTDIR/tests/unit
-rc=$?
-
-deactivate
+tox
+exit $?